%define name yammi
%define version 1.2.2
%define pre %nil
%define	rel	2
%define release %mkrel %{rel}
%define fversion %version
%define Summary Yet Another Music Manager 

Summary: %{Summary}
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL 
URL:     http://yammi.sourceforge.net 
Source: http://prdownloads.sourceforge.net/yammi/%{name}-%{fversion}.tar.bz2 
Patch1: yammi-fuzzsrch.h.patch.bz2
Group: Sound 
BuildRoot: 	%{_tmppath}/%{name}-buildroot  
BuildRequires:	id3lib-devel >= 3.8.2 
BuildRequires:	libvorbis-devel
BuildRequires:  xmms-devel
BuildRequires:  kdelibs-devel
BuildRequires:  gstreamer-plugins-devel
BuildRequires:  chrpath
BuildRequires:	taglib-devel
BuildRequires:	libxml2-utils
Requires:	cdparanoia 
Requires:	xmms 
#optional require
#Requires:	lame

%description
Yammi is a tool to manage your song collection (mp3, ogg, wav).
It is centered around a graphical user interface and a song database.
For playing songs the program serves as a front-end for either XMMS or Noatun. 
Yammi can handle all file formats supported by XMMS or Noatun. 
Reading tags and layer info is only supported for mp3, ogg and wav files.

Yammi enables you to:
o conveniently search for songs (fuzzy search)
o organize your songs into playlists/categories
o keep statistics (when/how many times was song x played?)
o support for id3 and ogg tag reading and writing (including id3v2)
o easily keep your song info (tags and filenames) consistent
o assist in burning your song collection to multiple CDs
o act as a jukebox, loading song files on demand from removable media
o prelisten to songs on headphone to DJ your own party 
o invoke other programs such as k3b, cdlabelgen or your own scripts to:
  o burn CDs
  o generate CD  labels
  o execute other commands using the information from Yammi's song database
 
 

%prep
%setup -q -n %name
%patch1 -p1
 
%build
%configure2_5x
 
%make 

%install
rm -rf $RPM_BUILD_ROOT

##need to create the kde_icon dirs
mkdir -p %{buildroot}/%{_datadir}/icons/crystalsvg/16x16/apps
mkdir -p %{buildroot}/%{_datadir}/icons/crystalsvg/32x32/apps
mkdir -p %{buildroot}/%{_datadir}/icons/crystalsvg/48x48/apps
mkdir -p %{buildroot}/%{_datadir}/icons/crystalsvg/64x64/apps 

%makeinstall_std
chrpath -d $RPM_BUILD_ROOT/%{_bindir}/%{name}

#fix perms
chmod -f 644 ChangeLog TODO 

#icons and menu
mkdir -p %{buildroot}{%{_miconsdir},%{_iconsdir},%{_liconsdir},%{_menudir}}
install -m 644 src/icons/yammi16x16.png %{buildroot}%{_miconsdir}/%{name}.png
install -m 644 src/icons/yammi32x32.png %{buildroot}%{_iconsdir}/%{name}.png
install -m 644 src/icons/yammi48x48.png %{buildroot}%{_liconsdir}/%{name}.png

kdedesktop2mdkmenu.pl yammi Multimedia/Sound %buildroot/%_datadir/applnk/Multimedia/yammi.desktop %buildroot/%_menudir/yammi

%find_lang %{name}

%post
%{update_menus}

%postun
%{clean_menus} 
 
%clean
rm -rf $RPM_BUILD_ROOT 

%files -f %{name}.lang
%defattr (-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS INSTALL README TODO 
%doc %_datadir/doc/HTML/*/yammi
%{_bindir}/*
%_datadir/applnk/Multimedia/yammi.desktop
%_datadir/apps/%name
%_datadir/icons/*/*/apps/yammi.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_menudir}/%{name}
 

%changelog
* Mon May 29 2006 Charles A Edwards <eslrahc@mandriva.org> 1.2.2-2mdv2007.0
- p1 
- use mkrel 

* Mon Aug 08 2005 Franck Villaume <fvill@mandriva.org> 1.2.2-1mdk
- new version

* Sun Mar 13 2005 Franck Villaume <fvill@freesurf.fr> 1.2-2mdk
- add missing buildrequires

* Fri Mar 11 2005 Charles A Edwards <eslrahc@mandrake.org> 1.2-1mdk
- 1.2 final
- buidrequires

* Thu Jan 20 2005 Charles A Edwards <eslrahc@mandrake.org> 1.2-0.rc2.1mdk
- 1.2-rc2

* Wed Dec 15 2004 Charles A Edwards <eslrahc@mandrake.org> 1.2-0.rc.1mdk
- 1.2-rc
- use kdedesktop2mdkmenu.pl

* Mon Sep 20 2004 Charles A Edwards <eslrahc@mandrake.org> 1.2-0.beta.1mdk
- 1.2-beta
- update file list

* Fri Jul 02 2004 Charles A Edwards <eslrahc@mandrake.org> 1.2-0.alpha_3.1mdk
- new version
- drop patch-merged upstream

* Wed Jun 16 2004 Charles A Edwards <eslrahc@mandrake.org> 1.2-0.alpha_2.2mdk
- add patch from Joseph Turian <turian@gmail.com>

* Tue Jun  8 2004 Charles A Edwards <eslrahc@mandrake.org> 1.2-0.alpha_2.1mdk
- new version
- buildrequires
- use %%makeinstall_std
- disable rpath

* Tue Jun  8 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.2-0.alpha.1mdk
- update file list
- dro all patches
- reenable libtoolize
- new version

* Tue May 18 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.0-2mdk
- fix menu entry
- fix buildrequires

* Sat May 15 2004 Charles A Edwards <eslrahc@mandrake.org> 1.0-1mdk
- first mdk release 
